Return details of a transaction.
April API (3.0)
These endpoints provide various methods for authenticating users from a backend service.
- POST /auth/signin Sign-in from a backend service on behalf of a consumer customer (B2C) or customer delegate (B2B)
A person or business purchasing goods or services from a merchant using Spenda to facilitate the payment. Customers are defined at the merchant level, so if an individual makes payments with multiple merchants, they will have a customer record for each of these merchants.
Spenda supports two broad categories of customers:
Consumer customers are individuals typically making purchases from the merchant via e-commerce websites. They are uniquely identified by emailAddress for a given merchant.
Organisation customers represent businesses wishing to make purchases from the merchant. They are uniquely identified by referenceCustomerId for a given merchant.
- GET /customers Return a paginated list of matching customers
- POST /customers Create a new customer or update the details of an existing customer
- GET /customers/{customerId} Return details of a customer
- POST /customers/kyc Perform a Know Your Customer (KYC) check on a consumer customer
- GET /customers/delegates Return a paginated list of matching customer delegates
- GET /customers/delegates/{customerDelegateId} Return details of a customer delegate
- PATCH /customers/delegates/{customerDelegateId} Various actions for updating a customer delegate such as linking to a new customer
- DELETE /customers/delegates/{customerDelegateId} Delete a customer delegate
A business or individual that uses Spenda to facilitate payments for their customers.
- GET /merchants Return a paginated list of matching merchants
- POST /merchants Create a new sub-merchant within the context of a marketplace
- GET /merchants/{merchantId} Return details of a merchant
- PATCH /merchants/{merchantId} Various actions for updating a merchant such as updating the bank account used for payouts
- GET /merchants/{merchantId}/balances Query the account balances of a merchant
- POST /merchants/{merchantId}/files Upload a document scan as part of the merchant onboarding profile
- GET /merchants/{merchantId}/files/{fileId} Get details on a merchant onboarding file
- GET /merchants/{merchantId}/applepay Get the domains registered for ApplePay for the specified merchant
- GET /merchants/{merchantId}/owners Return details of all beneficial owners for the given merchant
- POST /merchants/{merchantId}/owners Create a beneficial owner for the given merchant
- GET /merchants/{merchantId}/owners/{ownerId} Return details of a beneficial owner
- PUT /merchants/{merchantId}/owners/{ownerId} Overwrite an existing beneficial owner
- DELETE /merchants/{merchantId}/owners/{ownerId} Delete a beneficial owner
- GET /merchants/industries List all industries we currently support
A payment source represents a reusable source of funds to use for payments.
- GET /sources/{sourceId}
- DELETE /sources/{sourceId}
- POST /sources Register a payment source that may be used to pay for one or more payments
- GET /sources Return a paginated list of matching payment sources
- GET /sources/blockedcards Return a paginated list of events related to cards that have been blocked
- PATCH /sources/blockedcards/{cardBlockId} Update actions on blocked cards
A payment token represents a single use reference to a source of funds that can be used to pay for an order.
- POST /tokens Generate a pay-in-full payment token based on the provided payment source
- GET /tokens/{paymentTokenId} Get the details for a pay-in-full payment token
- POST /tokens/{merchantId}/surchargequote Calculates the surcharged amounts for the specified payment type
A pay plan represents a payment where the Spenda platform has extended a loan to make a purchase that the customer pays back over one or more instalments.
- POST /payplans/offer Create a pay plan offer for a registered and KYC'd merchant customer
- GET /payplans Return a paginated list of matching pay plans
- POST /payplans Create a pay plan and payment token from a successful pay plan offer
- GET /payplans/{payPlanId} Return details of a pay plan
- POST /payplans/max Return the maximum loan amount the given customer is currently eligible for
- POST /payplans/parameters Calculate the pay plan parameters for the given amount and list of variants
An order captures the details of the goods or services that the customer is purchasing from the merchant.
- GET /orders Return a paginated list of matching orders
- POST /orders Creates a new order
- POST /orders/{orderId}/pay Pay for an order using a payment token
- GET /orders/{orderId} Retrieves an order
- DELETE /orders/{orderId} Cancels an order, invalidating it from being payable
- PATCH /orders/{orderId} Actions for modifying an existing order
Sandbox only endpoints for simulating external events such as a bank transfer.
- POST /simulation Sandbox only endpoint to simulate external events such as a bank transfer being performed
A transaction is a payment from the perspective of a merchant. The transaction shows how much the merchant will be paid, if they have been paid already and whether there have been any refunds.
- GET /transactions/{transactionId} Return details of a transaction
- GET /transactions Return a paginated list of matching transactions
- PATCH /transactions/{transactionId} Various actions for updating a transaction such as issuing a refund
- POST /transactions/payouts Request to create a manual payout for a merchant
- GET /transactions/payouts Return a paginated list of matching payout summaries
- GET /transactions/payouts/{payoutId} Return an aggregated breakdown of the money movements included in the payout along with details of the disbursement itself
- GET /transactions/invoices Return a paginated list of matching merchant invoices
- GET /transactions/invoices/{invoiceId} Return an aggregated breakdown of the money movements included in the invoice along with billing details
- GET /transactions/invoices/{invoiceId}/pdf Return a PDF of the merchant invoice intended to be sent to the payer merchant
- GET /transactions/settlement Return a paginated list of all settlement entries matching the given search criteria
- GET /transactions/settlement/report Return a list of all settlement entries matching the given search criteria
- GET /transactions/disputes Return a paginated list of all disputes matching the given search criteria
- GET /transactions/refunds Return a paginated list of matching refunds
- Sandboxhttps://api.sandbox.au.meetapril.io/transactions/{transactionId}
- Productionhttps://api.au.meetapril.io/transactions/{transactionId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.sandbox.au.meetapril.io/transactions/{transactionId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'System unique identifier for the merchant the order was created for.
A reference provided by the merchant to identify this order, such as an order number.
The order amount including any surcharge passed on to the customer.
The amount in minor currency units that was surcharged to the customer.
The amount in minor currency units that has been refunded to the customer.
Business name of the merchant the order is associated with.
System unique identifier for the transaction representing this payment.
A reference provided by the merchant to identify this transaction.
These are the statuses returned by the order payment API and the values displayed when merchant integrators retrieve (GET) a transaction via the API.
Note: our dashboards in most cases map these statuses to different values, but only for display purposes.
- accepted - This payment was accepted by the customer but the payment method is asynchronous (e.g.: Direct Debit, Bank Transfer), so we have to wait for the final result before we move it to either paid or failed.
- paid - This payment is successful and funds have been collected.
- pending - This payment is successful, funds have been collected from the customer, but they are pending being transferred to the merchants balance. This status is currently only used by PayPlan's since we delay the transfer of funds into a merchants balance.
- refunded - A full refund has been initiated on this payment.
- partially_refunded - A partial refund of the original payment amount has been initiated on this payment.
- failed - The attempt to collect funds from the payment method was not successful.
- cancelled - This payment has been cancelled.
- disputed - At least one charge on the payment method has been disputed.
- not_captured - The payment method has been authorised but funds are not yet captured.
- incomplete - This payment has not been completed by the customer. Currently, a transaction is only incomplete if 3DS authentication has not yet been completed. If the customer does not complete the authentication, the transaction will stay in this state.
A list of refund system unique identifiers issued against this transaction.
System unique identifiers for any disputes raised against this transaction.
The day the payment was settled with the merchant. Only set after a successful payout.
The day this payment will be available for payout to the merchant.
If linked to a another transaction, this can be set here.
If this transaction runs as a closed loop transaction, this will provide the corresponding IssuerTransactionId
{ "purchaseDetails": { "orderId": "ordr_aZ-9UfKvllCPqGsd", "merchantId": "mcht_aZ-9UfKvllCPqGsZ", "referenceOrderId": "ORD-12411", "amount": { … }, "surchargeAmount": 0, "refundedAmount": 0, "merchantName": "string", "transactionId": "tran_aZ-9UfKvllCPqGsc", "referenceTransactionId": "string", "orderType": "online", "payType": "PayPlan", "description": "string", "orderMetadata": {}, "status": "accepted", "refundIds": [ … ], "disputeId": "dispute_aZ-9UfKvllCPqGsg", "disputeIds": [ … ], "paidOn": "2019-08-24", "availableOn": "2019-08-24", "parentTransactionId": { … }, "referenceIssuerTransactionId": "itxn_aZ-9U_KvllCPqGsv", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "paymentMethod": { "paymentMethodType": "Card", "cardBrand": "string", "cardBin": "string", "cardLast4": "string", "cardFunding": "string", "cardIssuer": "string", "cardExpiryDate": "string", "cardCountry": "string", "cardCVCVerificationPassed": true, "card3DSVerificationPassed": true, "info3DSVerification": "string", "walletType": "string", "outcome3ds": { … }, "card3DSFlow": "string", "cardStatement": "string", "cardHolderName": "string", "errorCode": "unexpected", "errorMessage": "string", "errorDetails": "string" }, "serviceFees": { "variableAmount": 0, "fixedAmount": 0, "taxAmount": 0, "totalAmount": 0 }, "customerDetails": { "customerId": "cust_aZ-9UfKvllCPqGsa", "referenceCustomerId": "CUST-48822821", "customerName": "string", "customerEmailAddress": "lucy.diamond@star.com", "customerPhoneNumber": "+61401234567" }, "timelines": [ { … } ] }
- Sandboxhttps://api.sandbox.au.meetapril.io/transactions/{transactionId}
- Productionhttps://api.au.meetapril.io/transactions/{transactionId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
- CancelAuthorisation
- CaptureFunds
- CreateRefund
- ReverseFundsTransfer
- TransferFunds
curl -i -X PATCH \
'https://api.sandbox.au.meetapril.io/transactions/{transactionId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"CancelAuthorisation": {}
}'System unique identifier for the merchant the order was created for.
A reference provided by the merchant to identify this order, such as an order number.
The order amount including any surcharge passed on to the customer.
The amount in minor currency units that was surcharged to the customer.
The amount in minor currency units that has been refunded to the customer.
Business name of the merchant the order is associated with.
System unique identifier for the transaction representing this payment.
A reference provided by the merchant to identify this transaction.
These are the statuses returned by the order payment API and the values displayed when merchant integrators retrieve (GET) a transaction via the API.
Note: our dashboards in most cases map these statuses to different values, but only for display purposes.
- accepted - This payment was accepted by the customer but the payment method is asynchronous (e.g.: Direct Debit, Bank Transfer), so we have to wait for the final result before we move it to either paid or failed.
- paid - This payment is successful and funds have been collected.
- pending - This payment is successful, funds have been collected from the customer, but they are pending being transferred to the merchants balance. This status is currently only used by PayPlan's since we delay the transfer of funds into a merchants balance.
- refunded - A full refund has been initiated on this payment.
- partially_refunded - A partial refund of the original payment amount has been initiated on this payment.
- failed - The attempt to collect funds from the payment method was not successful.
- cancelled - This payment has been cancelled.
- disputed - At least one charge on the payment method has been disputed.
- not_captured - The payment method has been authorised but funds are not yet captured.
- incomplete - This payment has not been completed by the customer. Currently, a transaction is only incomplete if 3DS authentication has not yet been completed. If the customer does not complete the authentication, the transaction will stay in this state.
A list of refund system unique identifiers issued against this transaction.
System unique identifiers for any disputes raised against this transaction.
The day the payment was settled with the merchant. Only set after a successful payout.
The day this payment will be available for payout to the merchant.
If linked to a another transaction, this can be set here.
If this transaction runs as a closed loop transaction, this will provide the corresponding IssuerTransactionId
{ "purchaseDetails": { "orderId": "ordr_aZ-9UfKvllCPqGsd", "merchantId": "mcht_aZ-9UfKvllCPqGsZ", "referenceOrderId": "ORD-12411", "amount": { … }, "surchargeAmount": 0, "refundedAmount": 0, "merchantName": "string", "transactionId": "tran_aZ-9UfKvllCPqGsc", "referenceTransactionId": "string", "orderType": "online", "payType": "PayPlan", "description": "string", "orderMetadata": {}, "status": "accepted", "refundIds": [ … ], "disputeId": "dispute_aZ-9UfKvllCPqGsg", "disputeIds": [ … ], "paidOn": "2019-08-24", "availableOn": "2019-08-24", "parentTransactionId": { … }, "referenceIssuerTransactionId": "itxn_aZ-9U_KvllCPqGsv", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }, "paymentMethod": { "paymentMethodType": "Card", "cardBrand": "string", "cardBin": "string", "cardLast4": "string", "cardFunding": "string", "cardIssuer": "string", "cardExpiryDate": "string", "cardCountry": "string", "cardCVCVerificationPassed": true, "card3DSVerificationPassed": true, "info3DSVerification": "string", "walletType": "string", "outcome3ds": { … }, "card3DSFlow": "string", "cardStatement": "string", "cardHolderName": "string", "errorCode": "unexpected", "errorMessage": "string", "errorDetails": "string" }, "serviceFees": { "variableAmount": 0, "fixedAmount": 0, "taxAmount": 0, "totalAmount": 0 }, "customerDetails": { "customerId": "cust_aZ-9UfKvllCPqGsa", "referenceCustomerId": "CUST-48822821", "customerName": "string", "customerEmailAddress": "lucy.diamond@star.com", "customerPhoneNumber": "+61401234567" }, "timelines": [ { … } ] }
Comma-delimited list of fields to sort by with sort priority from first to last. Fields are sorted by their natural ordering unless prefixed with a - character.
Return transactions that were created at or after this timestamp in ISO-8601 format
Return transactions that were created at or before this timestamp in ISO-8601 format
Filter by the transaction's parent aquiring transaction identifier
Filter by the transaction's parent issuer transaction identifier
- Sandboxhttps://api.sandbox.au.meetapril.io/transactions
- Productionhttps://api.au.meetapril.io/transactions
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.sandbox.au.meetapril.io/transactions?limit=0&page=0&sort=string&createdAfter=2026-02-26T03%3A26%3A15.70155523Z&createdBefore=2019-08-24T14%3A15%3A22Z&amount=0&referenceTransactionId=string&merchantId=string&customerId=string&parentAcquiringTransactionId=string&parentIssuerTransactionId=string&status=accepted' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Matching items sorted as specified
System unique identifier for the merchant the order was created for.
A reference provided by the merchant to identify this order, such as an order number.
The order amount including any surcharge passed on to the customer.
The amount in minor currency units that was surcharged to the customer.
The amount in minor currency units that has been refunded to the customer.
Business name of the merchant the order is associated with.
System unique identifier for the transaction representing this payment.
A reference provided by the merchant to identify this transaction.
These are the statuses returned by the order payment API and the values displayed when merchant integrators retrieve (GET) a transaction via the API.
Note: our dashboards in most cases map these statuses to different values, but only for display purposes.
- accepted - This payment was accepted by the customer but the payment method is asynchronous (e.g.: Direct Debit, Bank Transfer), so we have to wait for the final result before we move it to either paid or failed.
- paid - This payment is successful and funds have been collected.
- pending - This payment is successful, funds have been collected from the customer, but they are pending being transferred to the merchants balance. This status is currently only used by PayPlan's since we delay the transfer of funds into a merchants balance.
- refunded - A full refund has been initiated on this payment.
- partially_refunded - A partial refund of the original payment amount has been initiated on this payment.
- failed - The attempt to collect funds from the payment method was not successful.
- cancelled - This payment has been cancelled.
- disputed - At least one charge on the payment method has been disputed.
- not_captured - The payment method has been authorised but funds are not yet captured.
- incomplete - This payment has not been completed by the customer. Currently, a transaction is only incomplete if 3DS authentication has not yet been completed. If the customer does not complete the authentication, the transaction will stay in this state.
A list of refund system unique identifiers issued against this transaction.
System unique identifiers for any disputes raised against this transaction.
The day the payment was settled with the merchant. Only set after a successful payout.
The day this payment will be available for payout to the merchant.
If linked to a another transaction, this can be set here.
If this transaction runs as a closed loop transaction, this will provide the corresponding IssuerTransactionId
[ { "purchaseDetails": { … }, "paymentMethod": { … }, "serviceFees": { … }, "customerDetails": { … }, "timelines": [ … ] } ]
Comma-delimited list of fields to sort by with sort priority from first to last. Fields are sorted by their natural ordering unless prefixed with a - character.
Return payouts that were created at or after this timestamp in ISO-8601 format. Defaults to 30 days ago.
- Sandboxhttps://api.sandbox.au.meetapril.io/transactions/payouts
- Productionhttps://api.au.meetapril.io/transactions/payouts
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.sandbox.au.meetapril.io/transactions/payouts?limit=0&page=0&sort=string&merchantId=string&payoutId=string&referencePayoutId=string&createdAfter=2026-02-26T03%3A26%3A15.704156283Z&createdBefore=2019-08-24T14%3A15%3A22Z' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Matching items sorted as specified
The opening balance of the merchant account before the payout was settled in minor currency units. Will usually be 0 but will be negative if the merchant account has a negative balance from a previous payout.
The closing balance of the merchant account after payout has settled in minor currency units. Will usually be 0 but will be negative if the merchant account has a negative balance.
The amount paid out or the closing balance if the merchant account has a negative balance in minor currency units.
Status of the invoice.
The payment channel to use for the payout.
Information about the payout that will appear on the customer's bank statement.
[ { "payoutId": "payout_aZ-9UvKvllCPqGsl", "referencePayoutId": "string", "currency": "string", "settlementDate": "2019-08-24", "merchantId": "mcht_aZ-9UfKvllCPqGsZ", "merchantBusinessName": "string", "amount": 0, "openingBalance": 0, "closingBalance": 0, "totalAmount": 0, "status": "created", "bankAccountNumber": "string", "paymentChannel": "direct_entry", "statementDescriptor": "string", "createdAt": "2019-08-24T14:15:22Z" } ]
Request
Request to create a manual payout for a merchant. Merchants can only request manual payouts if they have a sufficient available balance. This call requires manual payouts to be enabled for the merchant.
The currency of the payout as a 3 letter ISO code. Currently foreign exchange is not supported. The currency must match the trading currency of the merchant.
System unique identifier for a bank account to credit. If not specified, the merchant's primary bank account will be used.
Information about the payout that will appear on the customer's bank statement.
The payment channels to use for the payout. If more than one is specified, they will be attempted in the order given.
- Sandboxhttps://api.sandbox.au.meetapril.io/transactions/payouts
- Productionhttps://api.au.meetapril.io/transactions/payouts
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://api.sandbox.au.meetapril.io/transactions/payouts \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Merchant-Id: string' \
-d '{
"currency": "AUD",
"payoutAmount": 0,
"externalAccountId": "xacc_aZ-9U_KvllCPqGst",
"statementDescriptor": "string",
"paymentChannels": [
"direct_entry"
],
"feePayingMerchantId": "mcht_aZ-9UfKvllCPqGsZ"
}'The opening balance of the merchant account before the payout was settled in minor currency units. Will usually be 0 but will be negative if the merchant account has a negative balance from a previous payout.
The closing balance of the merchant account after payout has settled in minor currency units. Will usually be 0 but will be negative if the merchant account has a negative balance.
The amount paid out or the closing balance if the merchant account has a negative balance in minor currency units.
Status of the invoice.
The payment channel to use for the payout.
Information about the payout that will appear on the customer's bank statement.
{ "payoutId": "payout_aZ-9UvKvllCPqGsl", "referencePayoutId": "string", "currency": "string", "settlementDate": "2019-08-24", "merchantId": "mcht_aZ-9UfKvllCPqGsZ", "merchantBusinessName": "string", "amount": 0, "openingBalance": 0, "closingBalance": 0, "totalAmount": 0, "status": "created", "bankAccountNumber": "string", "paymentChannel": "direct_entry", "statementDescriptor": "string", "createdAt": "2019-08-24T14:15:22Z" }
- Sandboxhttps://api.sandbox.au.meetapril.io/transactions/payouts/{payoutId}
- Productionhttps://api.au.meetapril.io/transactions/payouts/{payoutId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.sandbox.au.meetapril.io/transactions/payouts/{payoutId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Basic summary of the payout, as you would get when querying payouts.
The opening balance of the merchant account before the payout was settled in minor currency units. Will usually be 0 but will be negative if the merchant account has a negative balance from a previous payout.
The closing balance of the merchant account after payout has settled in minor currency units. Will usually be 0 but will be negative if the merchant account has a negative balance.
The amount paid out or the closing balance if the merchant account has a negative balance in minor currency units.
Status of the invoice.
The payment channel to use for the payout.
Information about the payout that will appear on the customer's bank statement.
A summary of the contents of the payout, including the number of transactions, refunds, and other items that make up the total amount.
{ "summary": { "payoutId": "payout_aZ-9UvKvllCPqGsl", "referencePayoutId": "string", "currency": "string", "settlementDate": "2019-08-24", "merchantId": "mcht_aZ-9UfKvllCPqGsZ", "merchantBusinessName": "string", "amount": 0, "openingBalance": 0, "closingBalance": 0, "totalAmount": 0, "status": "created", "bankAccountNumber": "string", "paymentChannel": "direct_entry", "statementDescriptor": "string", "createdAt": "2019-08-24T14:15:22Z" }, "summaryLineItems": [ { … } ], "accountDetails": { "accountId": "xacc_aZ-9U_KvllCPqGst", "accountName": "string", "bankName": "string", "identifier": { … }, "currency": "AUD", "country": "string" } }
Comma-delimited list of fields to sort by with sort priority from first to last. Fields are sorted by their natural ordering unless prefixed with a - character.
Filter by invoice status
Return invoices that were issued at or after this date in ISO-8601 format.
- Sandboxhttps://api.sandbox.au.meetapril.io/transactions/invoices
- Productionhttps://api.au.meetapril.io/transactions/invoices
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.sandbox.au.meetapril.io/transactions/invoices?limit=0&page=0&sort=string&merchantId=string&status=draft&issuedOnFromInclusive=2026-02-26&issuedOnToInclusive=2019-08-24' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'[ { "invoiceId": "minv_aZ-9V_KvllCPqGs_", "invoiceReference": "fCRLRpvIhvCC9Fkz", "currency": "string", "invoiceStartDate": "2019-08-24", "invoiceEndDate": "2019-08-24", "invoiceAmount": 0, "paidAmount": 0, "issuedOn": "2019-08-24", "dueDate": "2019-08-24", "merchantId": "mcht_aZ-9UfKvllCPqGsZ", "merchantBusinessName": "string", "status": "draft", "summary": "string", "createdAt": "2019-08-24T14:15:22Z" } ]
- Sandboxhttps://api.sandbox.au.meetapril.io/transactions/invoices/{invoiceId}
- Productionhttps://api.au.meetapril.io/transactions/invoices/{invoiceId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.sandbox.au.meetapril.io/transactions/invoices/{invoiceId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Basic summary of the invoice, as you would get when querying invoices.
Unique reference for this invoice that can be included on manually generated payments.
The amount credited towards the invoice in minor currency units
Status of the invoice.
{ "summary": { "invoiceId": "minv_aZ-9V_KvllCPqGs_", "invoiceReference": "fCRLRpvIhvCC9Fkz", "currency": "string", "invoiceStartDate": "2019-08-24", "invoiceEndDate": "2019-08-24", "invoiceAmount": 0, "paidAmount": 0, "issuedOn": "2019-08-24", "dueDate": "2019-08-24", "merchantId": "mcht_aZ-9UfKvllCPqGsZ", "merchantBusinessName": "string", "status": "draft", "summary": "string", "createdAt": "2019-08-24T14:15:22Z" }, "billingDetails": { "businessName": "string", "taxId": "string", "billingEmailAddress": "lucy.diamond@star.com", "billingPhoneNumber": "+61401234567", "billingAddress": { … } }, "paymentMethod": { "paymentMethodType": "Card", "cardBrand": "string", "cardBin": "string", "cardLast4": "string", "cardFunding": "string", "cardIssuer": "string", "cardExpiryDate": "string", "cardCountry": "string", "cardCVCVerificationPassed": true, "card3DSVerificationPassed": true, "info3DSVerification": "string", "walletType": "string", "outcome3ds": { … }, "card3DSFlow": "string", "cardStatement": "string", "cardHolderName": "string", "errorCode": "unexpected", "errorMessage": "string", "errorDetails": "string" }, "summaryItems": [ { … } ], "timelines": [ { … } ], "manualPaymentDetails": { "token": "string", "magicLink": "string", "orderId": "ordr_aZ-9UfKvllCPqGsd" } }
- Sandboxhttps://api.sandbox.au.meetapril.io/transactions/invoices/{invoiceId}/pdf
- Productionhttps://api.au.meetapril.io/transactions/invoices/{invoiceId}/pdf
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.sandbox.au.meetapril.io/transactions/invoices/{invoiceId}/pdf' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'No contentRequest
Return a paginated list of all settlement entries matching the given search criteria. If payoutId is not specified, currency, createdAfter and createdBefore must all be provided.
Comma-delimited list of fields to sort by with sort priority from first to last. Fields are sorted by their natural ordering unless prefixed with a - character.
Currency of entries
Return settlement entries that were created at or after this timestamp in ISO-8601 format
Return settlement entries that were created at or before this timestamp in ISO-8601 format
Include both payment and fee entries (Net) or just payment entries (Gross).
- Sandboxhttps://api.sandbox.au.meetapril.io/transactions/settlement
- Productionhttps://api.au.meetapril.io/transactions/settlement
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.sandbox.au.meetapril.io/transactions/settlement?limit=0&page=0&sort=string&merchantId=string¤cy=AUD&createdAfter=2026-02-26T03%3A26%3A15.711628426Z&createdBefore=2019-08-24T14%3A15%3A22Z&settlementType=Net&payoutId=string&invoiceId=string' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'{ "currency": "string", "items": [ { … } ], "totalPages": 0, "totalRecords": 0, "platformFeesInclTax": 0, "platformFeesTax": 0, "netAmount": 0, "grossAmount": 0, "payoutSummary": { "payoutId": "payout_aZ-9UvKvllCPqGsl", "referencePayoutId": "string", "currency": "string", "activeFrom": "2019-08-24T14:15:22Z", "activeTo": "2019-08-24T14:15:22Z", "paidOn": "2019-08-24", "status": "created", "settlementType": "Net", "failureReason": "string", "openingBalance": 0, "closingBalance": 0, "payoutAmount": 0 }, "created": "2019-08-24T14:15:22Z" }
Request
Return a list of all settlement entries matching the given search criteria. If payoutId is not specified, currency, createdAfter and createdBefore must all be provided. Use Accept request header to specify either application/json or text/csv responses. The JSON variant includes an aggregated summary of the matching entries.
List of columns to include in the report. If not specified, default column list is used.
Currency of entries
Return settlement entries that were created at or after this timestamp in ISO-8601 format
Return settlement entries that were created at or before this timestamp in ISO-8601 format
Include both payment and fee entries (Net) or just payment entries (Gross).
- Sandboxhttps://api.sandbox.au.meetapril.io/transactions/settlement/report
- Productionhttps://api.au.meetapril.io/transactions/settlement/report
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.sandbox.au.meetapril.io/transactions/settlement/report?column=CardHolderName&merchantId=string¤cy=AUD&createdAfter=2026-02-26T03%3A26%3A15.711628426Z&createdBefore=2019-08-24T14%3A15%3A22Z&settlementType=Net&payoutId=string&invoiceId=string' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'- application/json
- text/csv
{ "currency": "string", "items": [ { … } ], "totalPages": 0, "totalRecords": 0, "platformFeesInclTax": 0, "platformFeesTax": 0, "netAmount": 0, "grossAmount": 0, "payoutSummary": { "payoutId": "payout_aZ-9UvKvllCPqGsl", "referencePayoutId": "string", "currency": "string", "activeFrom": "2019-08-24T14:15:22Z", "activeTo": "2019-08-24T14:15:22Z", "paidOn": "2019-08-24", "status": "created", "settlementType": "Net", "failureReason": "string", "openingBalance": 0, "closingBalance": 0, "payoutAmount": 0 }, "created": "2019-08-24T14:15:22Z" }
- Sandboxhttps://api.sandbox.au.meetapril.io/transactions/disputes
- Productionhttps://api.au.meetapril.io/transactions/disputes
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.sandbox.au.meetapril.io/transactions/disputes?limit=0&page=0&sort=string&merchantId=string&customerEmailAddress=string&referenceOrderId=string&orderId=string&transactionId=string¤cy=AUD' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'[ { "disputeId": "dispute_aZ-9UfKvllCPqGsg", "transactionId": "tran_aZ-9UfKvllCPqGsc", "currency": "AUD", "disputedAmount": 0, "disputeFee": 0, "transactionAmount": 0, "orderId": "ordr_aZ-9UfKvllCPqGsd", "referenceOrderId": "ORD-12411", "description": "string", "orderMetadata": {}, "customerId": "cust_aZ-9UfKvllCPqGsa", "customerEmailAddress": "lucy.diamond@star.com", "customerName": "string", "customerPhoneNumber": "+61401234567", "state": "string", "reason": "string", "outcome": "pending", "updatedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z" } ]
Comma-delimited list of fields to sort by with sort priority from first to last. Fields are sorted by their natural ordering unless prefixed with a - character.
Return transactions that were created at or after this timestamp in ISO-8601 format. Defaults to 30 days ago.
Return transactions that were created at or before this timestamp in ISO-8601 format. Defaults to now.
- Sandboxhttps://api.sandbox.au.meetapril.io/transactions/refunds
- Productionhttps://api.au.meetapril.io/transactions/refunds
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://api.sandbox.au.meetapril.io/transactions/refunds?limit=0&page=0&sort=string&createdAfter=2026-02-26T03%3A26%3A15.702345652Z&createdBefore=2019-08-24T14%3A15%3A22Z&amount=0&referenceOrderId=string&orderId=string&customerId=string&merchantId=string&transactionId=string' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'[ { "refundId": "rfnd_aZ-9U_KvllCPqGsr", "transactionId": "tran_aZ-9UfKvllCPqGsc", "transactionAmount": { … }, "orderId": "ordr_aZ-9UfKvllCPqGsd", "referenceOrderId": "ORD-12411", "description": "string", "orderMetadata": {}, "customerId": "cust_aZ-9UfKvllCPqGsa", "customerEmailAddress": "lucy.diamond@star.com", "customerName": "string", "customerPhoneNumber": "+61401234567", "amount": { … }, "payoutId": "payout_aZ-9UvKvllCPqGsl", "settlementDate": "2019-08-24", "refundedAt": "2019-08-24T14:15:22Z", "refundIssuedBy": "string" } ]
A B2B2C setup where an entity with business customers (sub-merchants) uses Spenda to facilitate payments for their customers' customers.
- GET /marketplaces/{marketplaceId} Return details of a marketplace
- POST /marketplaces/customer Marketplace customers allow marketplaces to onboard their customers once and have them available over all their sub-merchants
Webhooks are a mechanism where merchants and marketplaces can register an endpoints against one or more events. When these events occur, a POST HTTP request is made to the registered endpoint with the event details.
- GET /webhooks Return a paginated list of matching webhook subscriptions
- POST /webhooks Create a new webhook subscription
- GET /webhooks/{id} Return details of a webhook subscription
- PATCH /webhooks/{id} Update an existing webhook subscription
Loans are payment products where credit is extended by a loan facility to a borrower. The borrower can be either an individual or a business depending on the loan product in question.
- GET /loans Return a paginated list of matching loan summaries
- GET /loans/statements/{loanStatementId} Return a loan statement summary
- GET /loans/statements Return a paginated list of matching loan statement summaries
- GET /loans/statements/entries Return a paginated list of matching loan statement entries
- GET /loans/enterprise/statements/{loanStatementId}/download Return a loan statement report in either CSV, PDF or XML format
- GET /loans/statements/entries/report Return a list of all loan statement entries matching the given search criteria
Endpoints related to the issuing of digital cards, typically associated with a trade account based loan.
- POST /issuer/card Administer digital card(s)
- GET /issuer/card Return a paginated list of matching digital card summaries